Version 1.5.9 - Plugins Interface

The latest news about Gargoyle

Moderator: Moderators

Eric
Site Admin
Posts: 1435
Joined: Sat Jun 14, 2008 1:14 pm

Version 1.5.9 - Plugins Interface

Postby Eric » Thu Jan 03, 2013 11:23 pm

This version implements a web interface for installing gargoyle plugins (for now mostly different UI themes) via the web interface. This makes it much easier to extend the core Gargoyle functionality.

New in 1.5.9:
  • New Plugin Interface (System/Plugins)
  • Bump OpenWrt version to Attitude Adjustment RC-1
  • Multiple minor fixes for usb-storage implementation
  • Fixes bug that can (sometimes) cause bandwidth monitor to reset if network restarts
  • Fixes bug in bandwidth monitor display that can cause a single month to show up multiple times after a time-zone change
  • Fixes bug in OpenVpn client mode when configured to use TCP

putergod
Posts: 2
Joined: Fri Jan 04, 2013 12:04 am

Re: Version 1.5.9 - Plugins Interface

Postby putergod » Fri Jan 04, 2013 12:08 am

Can this one be upgraded from 1.4.7 without losing settings?
I've got a lot configured and it would be a real PITA to have to redo all of it.

Eric
Site Admin
Posts: 1435
Joined: Sat Jun 14, 2008 1:14 pm

Re: Version 1.5.9 - Plugins Interface

Postby Eric » Fri Jan 04, 2013 1:14 am

putergod: No, 1.4.7 backups will not be compatible with 1.5.9 or any other future releases. Sorry.

mates
Posts: 128
Joined: Mon Nov 14, 2011 7:53 am

Re: Version 1.5.9 - Plugins Interface

Postby mates » Fri Jan 04, 2013 1:21 am

nice I will try later today

now i have version 1.5.7. should I update this firmware with my actual settings or should I reset it before updating?

I would like to say thank you for great work

putergod
Posts: 2
Joined: Fri Jan 04, 2013 12:04 am

Re: Version 1.5.9 - Plugins Interface

Postby putergod » Fri Jan 04, 2013 1:47 am

Eric wrote:putergod: No, 1.4.7 backups will not be compatible with 1.5.9 or any other future releases. Sorry.

That sucks, but I understand it... Thanks anyway.
I'll try this one out as soon as I have time to record everything for reconfiguring.

And thanks for all the hard work! I've enjoyed Gargoyle much more than the stock Netgear stuff.

sco77
Posts: 43
Joined: Tue Nov 09, 2010 7:28 pm

Re: Version 1.5.9 - Plugins Interface

Postby sco77 » Fri Jan 04, 2013 2:11 am

Update went smooth on g300nh.

Is there any wifi related fixes included in the build bump?

joelteixeira
Posts: 3
Joined: Fri Jan 04, 2013 4:32 am

Re: Version 1.5.9 - Plugins Interface

Postby joelteixeira » Fri Jan 04, 2013 4:41 am

ATM I'm using extrooted Gargoyle 1.5.8 on a TL-WDR4300 router, is there any way to update without go through the whole process of remove core usb packages... install block-mount, enable fstab and so on?

Shahar75
Posts: 2
Joined: Fri Jan 04, 2013 4:47 am

Re: Version 1.5.9 - Plugins Interface

Postby Shahar75 » Fri Jan 04, 2013 4:56 am

First of all, i'm a new user.
I've changed from the stock firmware, thru dd-wrt, openwrt and finally came here.
This firmware is great !
I enjoy learning all the features.
I've upgraded successfully my WR1043ND with all configuration preserved from previous 1.5.8.
Still, i can't connect to the gui from IE10 so i use chrome. Though it'll be nice to connect with IE10.
I'm not seeing the system/plug-ins option in my gui. Am i missing something?
Can anyone instruct me where and how can i install plug-ins?
Can anyone tell me how many simultanious connections are possible using the FTP access to the storage?

Great work and thanks a lot !

joelteixeira
Posts: 3
Joined: Fri Jan 04, 2013 4:32 am

Re: Version 1.5.9 - Plugins Interface

Postby joelteixeira » Fri Jan 04, 2013 5:06 am

I forgot to ask before, is there any plans to include transmission/minidlna on next releases? They are the only reason I'm using extroot.

Thanks for all the hard work Eric.

Trailblazer
Posts: 111
Joined: Wed Mar 09, 2011 3:12 am

Re: Version 1.5.9 - Plugins Interface

Postby Trailblazer » Fri Jan 04, 2013 6:00 am

Love the Plugin module. Attempt toPreserve settings on WNDR3700 did not work upgrading from 1.58. Had to reflash without that checked. Then it worked fine.
Thanks Eric!
Netgear WNDR3700V2 Gargoyle 1.10.0
TP-LINK Archer C7 v4 Gargoyle 1.11.x RC4


Return to “News”

Who is online

Users browsing this forum: No registered users and 3 guests